Subject: bug#7236: 24.0.50; make-local-hook missing

From: "Drew Adams" <[email-masked]>
Date: Mon, 18 Oct 2010 19:15:59 -0700

> No: m-l-h is also unnecessary when add-hook is called with a nil LOCAL
> argument.  I know of no case where calling make-local-hook makes
> a difference in Emacs>=21.

In Emacs 20 also there is a LOCAL optional arg to add-hook. Should all code for
Emacs 20-24 remove make-local-hook calls and instead add `t' to an existing call
to add-hook? That is, if there already is a call to add-hook, in addition to a
call to make-local-hook, should the latter be removed and a non-nil LOCAL arg be
added to the former?